<div class="field-details-component-container">
    <ng-container *ngIf="this.$field | async as field">
        <div class="default-padding field-name">
            {{field.name}}
        </div>
        <button (click)="fieldDeviceAssign(field.id)" class="assign-button"
                mat-button>
            {{'Assign Device To Field'}}
        </button>
        <ng-container *ngFor="let device of $devices | async">
            <div class="device-container">
                <div [routerLink]="['/home/device', device.id]" class="bold">{{device.name}}</div>
                <div *ngIf="device.deviceData.length > 0" class="device-data-notes ">
                    <div class="date">{{'Date'}}</div>
                    <div class="property-data">{{'#1'}}</div>
                    <div class="property-data">{{'#2'}}</div>
                    <div class="property-data">{{'°C'}}</div>
                    <div class="property-data">{{'Bat.%'}}</div>
                </div>
                <div *ngFor="let data of device.deviceData">
                    <div class="device-data">
                        <div class="date">
                            {{data.timeStamp | date: 'MMM d, HH:mm'}}
                        </div>
                        <div class="property-data">
                            {{data.sensor1}}{{'%'}}
                        </div>
                        <div class="property-data">
                            {{data.sensor2}}{{'%'}}
                        </div>
                        <div class="property-data">
                            {{data.temperature}}{{'°C'}}
                        </div>
                        <div class="property-data">
                            {{data.batteryLevel}}{{'%'}}
                        </div>
                    </div>
                </div>
            </div>
        </ng-container>
    </ng-container>
</div>
